Modify

Opened 14 months ago

Closed 8 months ago

Last modified 8 months ago

#13535 closed defect (fixed)

Some tiles aren't displayed while moving the map

Reported by: naoliv Owned by: wiktorn
Priority: normal Milestone: 16.08
Component: Core imagery Version:
Keywords: Cc: wiktorn

Description

It seems similar to #13147: some tiles aren't displayed when the layer is moved.
See the attached video, please.

I am using the Bing layer.

JOSM:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-05 01:10:07 +0200 (Mon, 05 Sep 2016)
Build-Date:2016-09-05 01:36:23
Revision:10962
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10962 pt_BR) Linux Debian GNU/Linux testing (stretch)
Memory Usage: 247 MB / 10206 MB (109 MB allocated, but free)
Java version: 1.8.0_102-8u102-b14.1-2-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1600x900, :0.1 1280x1024
Maximum Screen Size: 1600x1024
Java package: openjdk-8-jre:amd64-8u102-b14.1-2
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-9
VM arguments: [-Dawt.useSystemAAFontSettings=on]

Plugins:
+ Create_grid_of_ways (32699)
+ ImportImagePlugin (32699)
+ OpeningHoursEditor (32699)
+ PicLayer (32796)
+ RoadSigns (32796)
+ SimplifyArea (32796)
+ apache-commons (32699)
+ buildings_tools (32796)
+ conflation (0.2.0)
+ contourmerge (1022)
+ download_along (32730)
+ editgpx (32699)
+ ejml (32680)
+ geojson (43)
+ geotools (32813)
+ importvec (32699)
+ indoorhelper (32680)
+ jts (32699)
+ log4j (32699)
+ measurement (32732)
+ merge-overlap (32699)
+ opendata (32898)
+ pbf (32865)
+ pdfimport (32796)
+ poly (32699)
+ reverter (32796)
+ scripting (30730)
+ todo (29154)
+ turnlanes (32796)
+ turnlanes-tagging (1473089322)
+ turnrestrictions (32796)
+ undelete (32699)
+ utilsplugin2 (32815)

Attachments (2)

tiles.avi (3.9 MB) - added by naoliv 14 months ago.
fixFindBugs.patch (1.2 KB) - added by stoecker 8 months ago.

Change History (13)

Changed 14 months ago by naoliv

Attachment: tiles.avi added

comment:1 Changed 14 months ago by wiktorn

Owner: changed from team to wiktorn
Status: newassigned

I can reproduce it

comment:2 Changed 14 months ago by GerdP

I cannot reproduce it on WIndows, but I see several tracebacks like this:

Sep 05, 2016 10:21:41 PM org.openstreetmap.josm.Main warn
WARNING: java.io.IOException: Attribution is not loaded yet
java.io.IOException: Attribution is not loaded yet
        at org.openstreetmap.gui.jmapviewer.tilesources.BingAerialTileSource.getTileUrl(BingAerialTileSource.java:83)
        at org.openstreetmap.gui.jmapviewer.Tile.getUrl(Tile.java:269)
        at org.openstreetmap.josm.data.imagery.TMSCachedTileLoaderJob.getUrl(TMSCachedTileLoaderJob.java:116)
        at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.submit(JCSCachedTileLoaderJob.java:154)
        at org.openstreetmap.josm.data.imagery.TMSCachedTileLoaderJob.submit(TMSCachedTileLoaderJob.java:155)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.loadTile(AbstractTileSourceLayer.java:1008)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$500(AbstractTileSourceLayer.java:118)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.loadAllTiles(AbstractTileSourceLayer.java:1476)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.access$1200(AbstractTileSourceLayer.java:1390)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.drawInViewArea(AbstractTileSourceLayer.java:1673)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$3000(AbstractTileSourceLayer.java:118)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.doPaint(AbstractTileSourceLayer.java:2001)
        at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.paint(AbstractTileSourceLayer.java:1994)
        at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:847)
        at org.openstreetmap.josm.gui.MapView.paint(MapView.java:916)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JSplitPane.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JLayeredPane.paint(Unknown Source)
        at javax.swing.JComponent.paintChildren(Unknown Source)
        at javax.swing.JComponent.paint(Unknown Source)
        at javax.swing.JComponent.paintToOffscreen(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
        at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
        at javax.swing.RepaintManager.paint(Unknown Source)
        at javax.swing.JComponent._paintImmediately(Unknown Source)
        at javax.swing.JComponent.paintImmediately(Unknown Source)
        at javax.swing.RepaintManager$4.run(Unknown Source)
        at javax.swing.RepaintManager$4.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
        at javax.swing.RepaintManager.access$1200(Unknown Source)
        at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
        at java.awt.event.InvocationEvent.dispatch(Unknown Source)
        at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
        at java.awt.EventQueue.access$500(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.awt.EventQueue$3.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
        at java.awt.EventQueue.dispatchEvent(Unknown Source)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
        at java.awt.EventDispatchThread.run(Unknown Source)
Last edited 14 months ago by Don-vip (previous) (diff)

comment:3 Changed 14 months ago by wiktorn

Resolution: fixed
Status: assignedclosed

In 10964/josm:

Load tiles from lower zoom levels if not all of them are loaded

Closes: #13535

comment:4 Changed 14 months ago by Don-vip

Milestone: 16.08

comment:5 Changed 8 months ago by stoecker

Resolution: fixed
Status: closedreopened

There is a FindBugs warning for this change. If I see it correctly hasAllLoadedTiles can never be true, as a false (initial value) and whatever with and can never be true. The patch is fixing this FindBugs issue, the described initialisation problem and makes it better readable, please review.

Changed 8 months ago by stoecker

Attachment: fixFindBugs.patch added

comment:6 Changed 8 months ago by Don-vip

looks good.

comment:7 Changed 8 months ago by wiktorn

+1 from me, thanks

comment:8 Changed 8 months ago by Klumbumbus

Resolution: fixed
Status: reopenedclosed

fixed in r11637 (typo in commit ticket number)

comment:9 Changed 8 months ago by stoecker

In 11637/josm:

fix #13535 - fix FindBugs issue

comment:10 Changed 8 months ago by stoecker

Hah, I can fix that! And now everybody will ask what you mean with typo :)

comment:11 Changed 8 months ago by Klumbumbus

I could change it back ;)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain wiktorn.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.